Bug 19627 - Move patron clubs templates JS to the footer
Summary: Move patron clubs templates JS to the footer
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 19647
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-11-15 14:09 UTC by Owen Leonard
Modified: 2017-12-20 11:50 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19627: Move patron clubs templates JS to the footer (8.90 KB, patch)
2017-11-15 14:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19627: Move patron clubs templates JS to the footer (8.96 KB, patch)
2017-11-15 14:35 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19627: Follow-up: Include tools-menu.js on required templates (3.24 KB, patch)
2017-12-07 13:33 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 19627: Move patron clubs templates JS to the footer (9.03 KB, patch)
2017-12-08 07:50 UTC, Claire Gravely
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 19627: Follow-up: Include tools-menu.js on required templates (3.13 KB, patch)
2017-12-08 07:50 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19627: Move patron clubs templates JS to the footer (9.07 KB, patch)
2017-12-13 11:02 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19627: Follow-up: Include tools-menu.js on required templates (3.16 KB, patch)
2017-12-13 11:02 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-15 14:09:54 UTC
In order to conform to best practices for performance, staff client template JavaScript should be in the footer instead of the header.

This patch will do so for the patron clubs templates.
Comment 1 Owen Leonard 2017-11-15 14:22:32 UTC Comment hidden (obsolete)
Comment 2 Simon Pouchol 2017-11-15 14:35:44 UTC
Created attachment 69162 [details] [review]
Bug 19627: Move patron clubs templates JS to the footer

This patch modifies the staff client's patron clubs templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of
each page: All button controls, DataTables functionality, tabs, etc.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 3 Josef Moravec 2017-12-07 07:38:29 UTC
There should be included tools-menu.js file to have menu item styled correctly I think.
Comment 4 Owen Leonard 2017-12-07 13:33:35 UTC
Created attachment 69608 [details] [review]
Bug 19627: Follow-up: Include tools-menu.js on required templates

This follow-up adds tools-menu.js to the two patron clubs templates
which include the tools sidebar menu.

The patch also modifies tools-menu.js so that the correct sidebar link
is highlighted when editing or viewing club enrollments.

To test, apply the patch and view the patron clubs main page and the
patron clubs enrollments page. The sidebar menu should have the correct
link highlighted in both cases.
Comment 5 Claire Gravely 2017-12-08 07:50:33 UTC
Created attachment 69630 [details] [review]
[SIGNED-OFF] Bug 19627: Move patron clubs templates JS to the footer

This patch modifies the staff client's patron clubs templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of
each page: All button controls, DataTables functionality, tabs, etc.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 6 Claire Gravely 2017-12-08 07:50:36 UTC
Created attachment 69631 [details] [review]
[SIGNED-OFF] Bug 19627: Follow-up: Include tools-menu.js on required templates

This follow-up adds tools-menu.js to the two patron clubs templates
which include the tools sidebar menu.

The patch also modifies tools-menu.js so that the correct sidebar link
is highlighted when editing or viewing club enrollments.

To test, apply the patch and view the patron clubs main page and the
patron clubs enrollments page. The sidebar menu should have the correct
link highlighted in both cases.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 7 Josef Moravec 2017-12-13 11:02:29 UTC
Created attachment 69772 [details] [review]
Bug 19627: Move patron clubs templates JS to the footer

This patch modifies the staff client's patron clubs templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of
each page: All button controls, DataTables functionality, tabs, etc.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Josef Moravec 2017-12-13 11:02:33 UTC
Created attachment 69773 [details] [review]
Bug 19627: Follow-up: Include tools-menu.js on required templates

This follow-up adds tools-menu.js to the two patron clubs templates
which include the tools sidebar menu.

The patch also modifies tools-menu.js so that the correct sidebar link
is highlighted when editing or viewing club enrollments.

To test, apply the patch and view the patron clubs main page and the
patron clubs enrollments page. The sidebar menu should have the correct
link highlighted in both cases.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Jonathan Druart 2017-12-14 20:17:11 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 10 Nick Clemens 2017-12-20 11:50:22 UTC
Awesome work all! Enhancement, not backporting for 17.11